<?php
/*
'软件名称：猫盘解析程序 
'--------------------------------------------------------
'本程序仅用于个人学习和研究使用，不得用于商业用途，请遵守官方网盘相关协议和当地法律法规禁止用于违法用途！
'--------------------------------------------------------
*/
header('Content-Type:text/html;charset=utf-8');
if(version_compare(PHP_VERSION,'7.0.0','<'))  die('PHP版本过低，最少需要PHP7.0，请升级PHP版本！');
if(version_compare(PHP_VERSION,'8.0.0','>'))  die('PHP版本过高，不支持PHP8.0以上版本，请降低PHP版本！');
@ini_set('max_execution_time', '0');
@ini_set("memory_limit",'-1');
define('APP_PATH', __DIR__ . '/../application/');
define('UPLOAD_PATH', __DIR__ . '/../public');
define('RUNTIME_PATH', __DIR__ . '/../runtime/');
define('BIND_MODULE','index');
define('ENTRANCE', 'index');
if(!is_file('../application/data/install.lock')) {
    header("Location: /install.php");
    exit;
}
if (!@mb_check_encoding($_SERVER['PATH_INFO'], 'utf-8')){
    $_SERVER['PATH_INFO']=@mb_convert_encoding($_SERVER['PATH_INFO'], 'UTF-8', 'GBK');
}
require __DIR__ . '/../thinkphp/start.php';
